const wxml = function (data) {
  return `
  <view class="share">
    <image src="${data.controls.bg}?x-oss-process=image/resize,m_fill,h_532,w_300" class="bg"></image>
    <image src="https://webapp-pub.ezijing.com/weapp/share/new_cover.png" class="cover"></image>
    <view class="main">
      <text class="teacher">${data.share.lecturer.lecturer_name}</text>
      <text class="course">${data.share.course_name}</text>
      <view class="user">
        <image src="${data.controls.avatar}?x-oss-process=image/resize,m_fill,h_195,w_195" class="avatar"></image>
        <view><text class="nickname">${data.share.personal_name}</text></view>
      </view>
      <text class="chapter">${data.share.chapter_name}</text>
      <text class="title">知识获得者</text>
      <view class="text-wrapper">
        <view class="text-border"></view>
        <view class="text-main">
          <text class="text">${data.controls.text}</text>
        </view>
        <view class="text-border"></view>
      </view>
      <view class="footer">
        <view class="footer-left">
          <view class="box"><text class="t1">我已坚持学习</text><text class="t2">${data.share.used_day}</text><text class="t3">天</text></view>
          <text class="tips">我离学位殿堂又近了一步</text>
        </view>
        <image src="${data.qrcode}" class="footer-right"></image>
      </view>
      <view class="qrcode-tips-wrapper"><text class="qrcode-tips">扫码和我一起学习吧</text></view>
    </view>
  </view>`
}

const style = function (data) {
  const numLength = data.share.used_day.toString().length
  return {
    share: {
      position: 'relative',
      width: 300,
      height: 532
    },
    bg: {
      width: 300,
      height: 532
    },
    cover: {
      position: 'absolute',
      top: 36,
      left: 17,
      width: 267,
      height: 462
    },
    main: {
      position: 'absolute',
      left: 40,
      top: 120,
      width: 220,
      height: 300,
      alignItems: 'center'
    },
    teacher: {
      width: 220,
      height: 16,
      fontSize: 13,
      fontWeight: 'bold',
      lineHeight: 16,
      color: data.controls.color
    },
    course: {
      marginLeft: -10,
      width: 220,
      height: 16,
      fontSize: 13,
      fontWeight: 'bold',
      lineHeight: 16,
      color: data.controls.color
    },
    user: {
      marginTop: 10,
      alignItems: 'center'
    },
    avatar: {
      width: 65,
      height: 65,
      borderRadius: 32.5
    },
    nickname: {
      marginTop: 2,
      width: 220,
      height: 16,
      fontSize: 15,
      fontWeight: 'bold',
      lineHeight: 16,
      color: data.controls.color,
      textAlign: 'center'
    },
    chapter: {
      marginTop: 6,
      width: 220,
      height: 32,
      fontSize: 14,
      fontWeight: 'bold',
      color: '#1A1A1A',
      lineHeight: 16,
      textAlign: 'center',
      verticalAlign: 'middle'
    },
    title: {
      marginTop: 9,
      width: 220,
      height: 24,
      fontSize: 24,
      fontFamily: 'my',
      lineHeight: 24,
      textAlign: 'center',
      color: data.controls.color
    },
    textWrapper: {
      marginTop: 14,
      width: 200,
      height: 50
    },
    textBorder: {
      width: 200,
      height: 1,
      backgroundColor: data.controls.color
    },
    text: {
      height: 48,
      fontSize: 13,
      fontWeight: 'bold',
      fontStyle: 'italic',
      color: '#1A1A1A',
      lineHeight: 18,
      verticalAlign: 'middle',
      textAlign: 'center'
    },
    footer: {
      marginTop: 10,
      width: 190,
      height: 50,
      flexDirection: 'row',
      alignItems: 'center'
    },
    footerLeft: {
      width: 140,
      height: 40
    },
    box: {
      width: 140,
      height: 20,
      lineHeight: 20,
      flexDirection: 'row',
      alignItems: 'flex-end'
    },
    t1: {
      width: 72,
      height: 20,
      fontSize: 12,
      color: '#1A1A1A'
    },
    t2: {
      marginLeft: 2,
      marginRight: 2,
      width: numLength * 11,
      height: 20,
      fontSize: 17,
      fontWeight: 'bold',
      color: data.controls.color,
      textAlign: 'center'
    },
    t3: {
      width: 12,
      height: 20,
      fontSize: 12,
      color: '#1A1A1A'
    },
    tips: {
      width: 140,
      height: 20,
      fontSize: 12,
      lineHeight: 20,
      color: '#1A1A1A'
    },
    footerRight: {
      width: 50,
      height: 50
    },
    qrcodeTipsWrapper: {
      marginTop: 6,
      width: 130,
      borderRadius: 2,
      backgroundColor: data.controls.color
    },
    qrcodeTips: {
      height: 15,
      fontSize: 11,
      color: '#FFFFFF',
      lineHeight: 15,
      textAlign: 'center'
    }
  }
}

export { wxml, style }
